Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.filter
Class URIListRegExpFilter

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.framework.Filter
                          org.archive.crawler.filter.URIListRegExpFilter

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

Deprecated. As of release 1.10.0. Replaced by `DecidingFilter` and equivalent `DecideRule`.

    public class URIListRegExpFilter

extends Filter

Compares passed object -- a CrawlURI, UURI, or String -- against regular expressions, accepting matches.

Can be configured to logically OR or AND the regular expressions.

Author:
  Kristinn Sigurdsson
See Also:
  `URIRegExpFilter`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary
`static java.lang.String` | `ATTR_LIST_LOGIC` Deprecated.
`static java.lang.String` | `ATTR_MATCH_RETURN_VALUE` Deprecated.
`static java.lang.String` | `ATTR_REGEXP_LIST` Deprecated.
`static java.lang.String` | `DEFAULT_LIST_LOGIC` Deprecated.
`static java.lang.Boolean` | `DEFAULT_MATCH_RETURN_VALUE` Deprecated.
`static java.lang.String[]` | `LEGAL_LIST_LOGIC` Deprecated.

Fields inherited from class org.archive.crawler.framework.Filter
`ATTR_ENABLED`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`URIListRegExpFilter(java.lang.String name)` Deprecated.

Method Summary
`protected boolean` | `getMatchReturnValue(java.lang.Object o)` Deprecated.
`protected java.util.List` | `getRegexp(java.lang.Object o)` Deprecated. Get the regular expressions list to match the URI against.
`protected boolean` | `innerAccepts(java.lang.Object o)` Deprecated. Classes subclassing this one should override this method to perfrom their custom determination of whether or not the object given to it.
`protected boolean` | `isListLogicOR(java.lang.Object o)` Deprecated.

Methods inherited from class org.archive.crawler.framework.Filter
`accepts, getFilterOffPosition, kickUpdate, returnTrueIfMatches, toString`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_REGEXP_LIST

    public static final java.lang.String ATTR_REGEXP_LIST

  Deprecated.
  See Also:
    Constant Field Values

### ATTR_LIST_LOGIC

    public static final java.lang.String ATTR_LIST_LOGIC

  Deprecated.
  See Also:
    Constant Field Values

### ATTR_MATCH_RETURN_VALUE

    public static final java.lang.String ATTR_MATCH_RETURN_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_LIST_LOGIC

    public static final java.lang.String DEFAULT_LIST_LOGIC

  Deprecated.
  See Also:
    Constant Field Values

### LEGAL_LIST_LOGIC

    public static final java.lang.String[] LEGAL_LIST_LOGIC

  Deprecated.

### DEFAULT_MATCH_RETURN_VALUE

    public static final java.lang.Boolean DEFAULT_MATCH_RETURN_VALUE

  Deprecated.

Constructor Detail

### URIListRegExpFilter

    public URIListRegExpFilter(java.lang.String name)

  Deprecated.
  Parameters:
    `name` - Filter name.

Method Detail

### innerAccepts

    protected boolean innerAccepts(java.lang.Object o)

  Deprecated.
  Description copied from class: `Filter`
  Classes subclassing this one should override this method to perfrom their custom determination of whether or not the object given to it.

  Overrides:
    `innerAccepts` in class `Filter`
  Parameters:
    `o` - The object
  Returns:
    True if it passes the filter.

### getRegexp

    protected java.util.List getRegexp(java.lang.Object o)

  Deprecated.
  Get the regular expressions list to match the URI against.

  Parameters:
    `o` - the object for which the regular expression should be matched against.
  Returns:
    the regular expression to match against.

### getMatchReturnValue

    protected boolean getMatchReturnValue(java.lang.Object o)

  Deprecated.

### isListLogicOR

    protected boolean isListLogicOR(java.lang.Object o)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.